> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/nodejs/container-registry/models/artifactmetadata.md).

# ArtifactMetadata

## Properties

| Name                     | Type       | Description                                                  | Notes                               |
| ------------------------ | ---------- | ------------------------------------------------------------ | ----------------------------------- |
| **createdDate**          | **string** | The ISO 8601 creation timestamp.                             | \[optional] \[default to undefined] |
| **createdBy**            | **string** | Unique name of the identity that created the resource.       | \[optional] \[default to undefined] |
| **createdByUserId**      | **string** |                                                              | \[optional] \[default to undefined] |
| **lastModifiedDate**     | **string** | The ISO 8601 modified timestamp.                             | \[optional] \[default to undefined] |
| **lastModifiedBy**       | **string** | Unique name of the identity that last modified the resource. | \[optional] \[default to undefined] |
| **lastModifiedByUserId** | **string** |                                                              | \[optional] \[default to undefined] |
| **resourceURN**          | **string** | Unique name of the resource.                                 | \[optional] \[default to undefined] |
| **lastPushedAt**         | **string** | The date and time the artifact was last pushed               | \[default to undefined]             |
| **lastPulledAt**         | **string** | The date and time the artifact was last pulled               | \[optional] \[default to undefined] |
| **lastScannedAt**        | **string** | The date and time the artifact was last scanned              | \[optional] \[default to undefined] |
| **pushCount**            | **number** | The number of times the artifact was pushed                  | \[default to undefined]             |
| **pullCount**            | **number** | The number of times the artifact was pulled                  | \[default to undefined]             |
| **vulnMaxSeverity**      | **string** | The maximum vulnerability severity of the artifact, if any   | \[optional] \[default to undefined] |
| **vulnTotalScore**       | **number** | The total CVSS score of all vulnerabilities of the artifact  | \[optional] \[default to undefined] |
| **vulnTotalCount**       | **number** | The total number of vulnerabilities of the artifact          | \[optional] \[default to undefined] |
| **vulnFixableCount**     | **number** | The number of fixable vulnerabilities of the artifact        | \[optional] \[default to undefined] |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/nodejs/container-registry/models/artifactmetadata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
